<script setup>

const props = defineProps(['alert', 'dismiss']);

let dismissed = false;

function uniqDismiss() {
  if (!dismissed) {
    dismissed = true;
    props.dismiss(props.alert)
  }
}

setTimeout(uniqDismiss, 7000);

</script>
<template>
  <div id="main" class="overflow-clip p-0 text-blue-800 inline-block rounded-lg bg-s4s-redwood-400 mb-6" style="width: 80%; max-width: 600px">
    <div class="flex p-4 pb-2"
         role="alert">
      <svg class="flex-shrink-0 inline w-4 h-4 me-3 mt-1" aria-hidden="true" xmlns="http://www.w3.org/2000/svg"
           fill="currentColor" viewBox="0 0 20 20">
        <path
            d="M10 .5a9.5 9.5 0 1 0 9.5 9.5A9.51 9.51 0 0 0 10 .5ZM9.5 4a1.5 1.5 0 1 1 0 3 1.5 1.5 0 0 1 0-3ZM12 15H8a1 1 0 0 1 0-2h1v-3H8a1 1 0 0 1 0-2h2a1 1 0 0 1 1 1v4h1a1 1 0 0 1 0 2Z"/>
      </svg>
      <span class="flex-auto text-left font-medium">{{ alert.message }}</span>
      <button class="flex-auto text-right" @click="uniqDismiss">×</button>
    </div>
    <div id="progress" class="h-2 text-blue-800 rounded-lg bg-s4s-redwood-600"/>
  </div>
  <br>
</template>
<style scoped>


@keyframes main-anim {
  from {
    opacity: 1;
    max-height: 200px;
  }
  90% {
    opacity: 1;
    max-height: 200px;
  }
  to {
    opacity: 0;
    max-height: 0;
  }
}

#main {
  animation-name: main-anim;
  animation-duration: 7s;
  animation-fill-mode: both;
}

@keyframes progress-anim {
  from {
    width: 100%;
  }
  to {
    width: 0;
  }
}

#progress {
  animation-name: progress-anim;
  animation-duration: 7s;
  animation-fill-mode: both;
}

</style>